Bug 862163 - Detect rule name duplication in Guvnor
Detect rule name duplication in Guvnor
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 02:27 EDT by Toshiya Kobayashi
Modified: 2014-04-04 11:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 958398 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1948 Major Resolved Detect rule name duplication in Guvnor 2014-04-04 11:27:39 EDT

  None (edit)
Description Toshiya Kobayashi 2012-10-02 02:27:38 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/GUVNOR-1948

Steps to Reproduce:
See details in GUVNOR-1948
  
Actual results:

1. 'Build package' finishes successfully
2. [QA] -> [Analysis] doesn't raise a WARNING

Expected results:

1. Build package' fails with an error massage
2. [QA] -> [Analysis] raises a WARNING
Comment 1 JBoss JIRA Server 2012-12-06 17:00:07 EST
Adriel Paredes <aparedes@redhat.com> made a comment on jira GUVNOR-1948

I think that the warning should raise in the moment you are creating a new rule
Comment 2 JBoss JIRA Server 2012-12-06 20:33:37 EST
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira GUVNOR-1948

A same issue arises when you upload 2 XLS files and both have the same 'RuleTable' name which is used as rule name prefix.

Attached repository_export_duplicate_rules_xls.xml.
Comment 3 Geoffrey De Smet 2013-03-05 08:39:58 EST
Reassign to the guvnor team, now that I am working full time on planner. So these issues aren't forgotten.
Comment 4 JBoss JIRA Server 2014-04-04 11:13:58 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira GUVNOR-1948 to Resolved

Note You need to log in before you can comment on or make changes to this bug.